# -*- encoding: utf-8 -*-
$:.push File.expand_path("../lib", __FILE__)
require "stalking/version"

Gem::Specification.new do |s|
  s.license     = "MIT"
  s.name        = "stalking"
  s.version     = Stalking::VERSION
  s.authors     = ["Benjamin Vetter"]
  s.email       = ["vetter@flakks.com"]
  s.homepage    = "https://github.com/mrkamel/stalking"
  s.summary     = %q{Asynchronous jobs using beanstalkd with automatic reconnects and failover}
  s.description = %q{Asynchronous job processing using the beanstalkd queue server with automatic reconnects and failover}

  s.files         = `git ls-files`.split("\n")
  s.test_files    = `git ls-files -- {test,spec,features}/*`.split("\n")
  s.executables   = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
  s.require_paths = ["lib"]

  s.add_development_dependency "rake"
  s.add_development_dependency "minitest"
  s.add_development_dependency "bundler"
  s.add_development_dependency "mocha"

  s.add_dependency "beanstalk-client"
  s.add_dependency "json_pure"
end

