
require File.expand_path("../../test_helper", __FILE__)

class Stalking::NullLoggerTest < Minitest::Test
  def setup
    @null_logger = Stalking::NullLogger.new
  end

  def test_debug
    assert_nothing_raised { @null_logger.debug "Debug" }
  end

  def test_info
    assert_nothing_raised { @null_logger.info "Info" }
  end

  def test_warn
    assert_nothing_raised { @null_logger.warn "Warn" }
  end

  def test_error
    assert_nothing_raised { @null_logger.error "Error" }
  end

  def test_fatal
    assert_nothing_raised { @null_logger.fatal "Fatal" }
  end
end

