
$:.unshift File.expand_path("../lib", __FILE__)

require "stalking"
require "timeout"
require "minitest"
require "minitest/autorun"
require "mocha/mini_test"

require File.expand_path("../stalking/beanstalk", __FILE__)
require File.expand_path("../stalking/test_logger", __FILE__)

module TestHelpers
  def assert_nothing_raised
    yield
  rescue => e
    raise "Exception #{e.message} should be raised"
  end
end

Minitest::Test.send :include, TestHelpers

